(define-module (ui ca root ajax)
			   :use-module (alterator ajax)
			   :use-module (alterator woo)
			   :export (init))

(define (ui-init)
  (let ((active (woo-get-option (woo-read-first "/ca/root") 'is_active)))
	(form-update-visibility '("info") active)
	(form-update-visibility '("active") active)
	(form-update-visibility '("inactive") (not active))
	(form-update-visibility '("regenerate") (form-value "confirm"))))

(define (update-confirm)
  (form-update-visibility '("regenerate") (form-value "confirm")))

(define (init)
  (ui-init)
  (form-bind "confirm" "change" update-confirm))
